#pragma once
#include <string>
#include <iostream>
using namespace std;

typedef string CString;

class CTrigString
{
public:
	void UnsetTrigString();
	CTrigString(CString str, int ID);
	CString GetTrigStringName();
	CString GetTrigStringValue();
	void SetTrigStringValue(CString str);
	int GetTrigStringID();
	void SetTrigStringID(int ID);
	static BOOL IsTrigStringName(CString str);
	static int GetTrigStringID(CString trigstr);
	CTrigString();
	virtual ~CTrigString();

private:
	CString m_sStrValue;
	int m_iTrigID;
};